package org.verohallinto.apitamoclient.util;

import java.util.HashMap;
import java.util.Map;

/**
 * Constants.
 */
public class Const {

    private Const() {
    }

    public static final int TAB_SEND = 0;
    public static final int TAB_RETRIEVE = 1;
    public static final int TAB_RESPONSE = 2;
    //
    public static final String SYS_LF = System.getProperty("line.separator");
    // Ympristt
    public static final int DEVELOPMENT = 0;
    public static final int DEVELOPMENT_TEST = 1;
    public static final int PRODUCTION_TEST = 2;
    public static final int PRODUCTION = 3;
    public static final Map<Integer, String> ENV;
    // Otsikot
    private static final String TITLE = "Apitamopki Client - ";
    public static final String TITLE_DEV = "Kehitys";
    public static final String TITLE_DEVTEST = "Kehitystesti";
    public static final String TITLE_TEST = "Tuotantotesti";
    public static final String TITLE_PROD = "Tuotanto";
    public static final String[] TITLES = {TITLE + TITLE_DEV,
                                           TITLE + TITLE_DEVTEST,
                                           TITLE + TITLE_TEST,
                                           TITLE + TITLE_PROD};
    public static final Map<String, String> LANG;

    static {
        ENV = new HashMap<>(4);
        ENV.put(DEVELOPMENT, "dev");
        ENV.put(DEVELOPMENT_TEST, "devtest");
        ENV.put(PRODUCTION_TEST, "test");
        ENV.put(PRODUCTION, "prod");

        LANG = new HashMap<>(3);
        LANG.put("Suomi", "fi");
        LANG.put("Svenska", "sv");
        LANG.put("English", "en");
    }
}
