
package org.verohallinto.ilmoitin.gen.cxf.apitamopki;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.verohallinto.ilmoitin.gen.cxf.apitamopki package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FaultInfo_QNAME = new QName("http://www.vero.fi/xmlschema/ApiTaMo", "FaultInfo");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.verohallinto.ilmoitin.gen.cxf.apitamopki
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DeliveryDataSendRequest }
     * 
     */
    public DeliveryDataSendRequest createDeliveryDataSendRequest() {
        return new DeliveryDataSendRequest();
    }

    /**
     * Create an instance of {@link DeliveryDataSendResponse }
     * 
     */
    public DeliveryDataSendResponse createDeliveryDataSendResponse() {
        return new DeliveryDataSendResponse();
    }

    /**
     * Create an instance of {@link DeliveryDataRetrievalResponse }
     * 
     */
    public DeliveryDataRetrievalResponse createDeliveryDataRetrievalResponse() {
        return new DeliveryDataRetrievalResponse();
    }

    /**
     * Create an instance of {@link DeliveryDataSendResponse.Result }
     * 
     */
    public DeliveryDataSendResponse.Result createDeliveryDataSendResponseResult() {
        return new DeliveryDataSendResponse.Result();
    }

    /**
     * Create an instance of {@link DeliveryDataSendResponse.Result.Attachments }
     * 
     */
    public DeliveryDataSendResponse.Result.Attachments createDeliveryDataSendResponseResultAttachments() {
        return new DeliveryDataSendResponse.Result.Attachments();
    }

    /**
     * Create an instance of {@link DeliveryDataSendRequest.Emails }
     * 
     */
    public DeliveryDataSendRequest.Emails createDeliveryDataSendRequestEmails() {
        return new DeliveryDataSendRequest.Emails();
    }

    /**
     * Create an instance of {@link DeliveryDataSendRequest.Attachments }
     * 
     */
    public DeliveryDataSendRequest.Attachments createDeliveryDataSendRequestAttachments() {
        return new DeliveryDataSendRequest.Attachments();
    }

    /**
     * Create an instance of {@link DeliveryDataRetrievalRequest }
     * 
     */
    public DeliveryDataRetrievalRequest createDeliveryDataRetrievalRequest() {
        return new DeliveryDataRetrievalRequest();
    }

    /**
     * Create an instance of {@link DeliveryDataRetrievalResponse.Result }
     * 
     */
    public DeliveryDataRetrievalResponse.Result createDeliveryDataRetrievalResponseResult() {
        return new DeliveryDataRetrievalResponse.Result();
    }

    /**
     * Create an instance of {@link DeliveryDataSendResponse.Result.Attachments.Attachment }
     * 
     */
    public DeliveryDataSendResponse.Result.Attachments.Attachment createDeliveryDataSendResponseResultAttachmentsAttachment() {
        return new DeliveryDataSendResponse.Result.Attachments.Attachment();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.vero.fi/xmlschema/ApiTaMo", name = "FaultInfo")
    public JAXBElement<String> createFaultInfo(String value) {
        return new JAXBElement<String>(_FaultInfo_QNAME, String.class, null, value);
    }

}
